Docs Menu
Docs Home
/ /

Delete One Key Vault Configuration

Deletes one key vault configuration.

Note

You can't delete a key vault configuration that one or more S3-compatible snapshot store s use. Ops Manager returns a 409 Conflict error with the KEY_VAULT_CONFIG_IN_USE code. To delete the configuration, first update or remove the S3-compatible snapshot store s that use it.

Requires that the API Key calling this endpoint have the Global Owner role.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/admin

DELETE /keyVault/{KEY-VAULT-ID}
Name
Type
Description

KEY-VAULT-ID

string

Unique identifier of the key vault configuration to delete.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether the response body is in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

This endpoint does not have response elements.

curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \
--include \
--request DELETE 'https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/keyVault/{KEY-VAULT-ID}'

This endpoint doesn't return a response body.

Back

Update

On this page